## erlang-jiffy 0.5.2+dfsg

=== Makefile ===
REBAR?=./rebar

all: build

clean:
	$(REBAR) clean
	rm -rf logs
	rm -rf .eunit
	rm -f test/*.beam


depends:
	@if test ! -d ./deps; then \
		$(REBAR) get-deps; \
	else \
		$(REBAR) update-deps; \
	fi


build: depends
	$(REBAR) compile


etap: test/etap.beam test/util.beam
	prove test/*.t


eunit:
	$(REBAR) eunit skip_deps=true


check: build etap eunit


%.beam: %.erl
	erlc -o test/ $<

=== debian/changelog ===
erlang-jiffy (0.5.2+dfsg-1ubuntu1) raring; urgency=low

  * Build with -fsigned-char to fix build on ARM, PowerPC, and S390.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 11 Nov 2012 22:50:07 -0700

erlang-jiffy (0.5.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #690107)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Oct 2012 01:24:25 +0900

=== debian/control ===
Source: erlang-jiffy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Homepage: https://github.com/davisp/jiffy
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, erlang-xmerl, rebar, erlang-proper-dev
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-jiffy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-jiffy.git

Package: erlang-jiffy
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
	erlang-xmerl, erlang-proper
Description: JSON NIFs (Native Implemented Functions) for Erlang
 A JSON parser as a NIF (Native Implemented Functions). This is a complete
 rewrite of the work this was done in EEP0018 that was based on Yajl. This
 new version is a hand crafted state machine that does its best to be as
 quick and efficient as possible while not placing any constraints on the
 parsed JSON.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -fsigned-char

PACKAGE=jiffy
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	REBAR=rebar dh $@

override_dh_auto_clean:
	rm -rf ebin priv
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv
	install -m 644 priv/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/

override_dh_gencontrol-arch:
	erlang-depends -v -a -perlang-$(PACKAGE)
	dh_gencontrol -a -perlang-$(PACKAGE)

override_dh_compress:
	dh_compress -X.erl -X.beam

## erlang-jiffy 0.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 REBAR?=./rebar
 
+
 all: build
+
 
 clean:
 	$(REBAR) clean
@@ -9,11 +11,17 @@
 	rm -f test/*.beam
 
 
-depends:
+distclean: clean
+	git clean -fxd
+
+
+devmarker:
+	touch .jiffy.dev
+
+
+depends: devmarker
 	@if test ! -d ./deps; then \
 		$(REBAR) get-deps; \
-	else \
-		$(REBAR) update-deps; \
 	fi
 
 
@@ -35,3 +43,5 @@
 %.beam: %.erl
 	erlc -o test/ $<
 
+
+.PHONY: all clean distclean depends build etap eunit check

=== debian/changelog ===
erlang-jiffy (0.7.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add patches/remove_git_clean.
  * Remove patches/remove_deps.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 22 Jan 2013 12:47:44 +0900

erlang-jiffy (0.5.2+dfsg-2) unstable; urgency=low

  * Update debian/rules.
    - Add -fsigned-char to CFLAGS.
      Fix FTBFS on armel, armhf, powerpc, s390 and s390x.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 15 Nov 2012 17:15:19 +0900

## erlang-jiffy 0.8.4+dfsg

=== debian/changelog ===
erlang-jiffy (0.8.4+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.
    Thanks to Bart Martens.
  * Update patches.
    - Update patches/fix_version_string to 0.8.4
  * Add patches.
    - Add patches for fix FTBFS.
	  Add 0001-Fix-typo-in-utils.h.patch and
	      0002-__GNUC__-is-a-better-choice-than-__GCC__.patch
    - Add 0001-Add-check-for-below-array-bounds.patch.
	  Fix build with -Werror=array-bounds.
    - Add patches/change_optimize.
      Change optimize from O3 to O2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 02 Jul 2013 12:36:53 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: erlang-jiffy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
+Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
 CFLAGS += -fsigned-char
 
 PACKAGE=jiffy

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://github.com/davisp/jiffy/tags .*/(?:v||jiffy[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 06 Jan 2013 20:51:23 +0000

## erlang-jiffy 0.8.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 depends: devmarker
-	@if test ! -d ./deps; then \
+	@if test ! -d ./deps/proper; then \
 		$(REBAR) get-deps; \
 	fi

=== debian/changelog ===
erlang-jiffy (0.8.5+dfsg-1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Tue, 14 Mar 2017 17:54:03 +0100

erlang-jiffy (0.8.5+dfsg-1) unstable; urgency=low

  * New upstream release (0.8.5).
  * Update debian/copyright.
    Change from MIT License to Expat.
  * Remove some patches, because applied to upstream.
    - 0001-Fix-typo-in-utils.h.patch
    - 0002-__GNUC__-is-a-better-choice-than-__GCC__.patch
    - 0001-Add-check-for-below-array-bounds.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Oct 2013 13:03:58 +0900

erlang-jiffy (0.8.4+dfsg-3) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
    - Remove Section and Priority section from erlang-jiffy.
  * Update debian/rules.
    - Changed to use dh-rebar.
  * Fix debian/watch.
    - Fix debian-watch-file-should-mangle-version.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2013 21:07:01 +0900

erlang-jiffy (0.8.4+dfsg-2) unstable; urgency=low

  * Update debian/control.
    - Add erlang-dialyzer to Build-Depends.
      Fix FTBFS if built with Erlang R16B01.
  * Update debian/rules.
    Fix buildflags missing by CPPFLAGS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 30 Jul 2013 08:57:24 +0900

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 Priority: optional
 Standards-Version: 3.9.4
 Homepage: https://github.com/davisp/jiffy
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, erlang-xmerl, rebar, erlang-proper-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:17.3),
+	erlang-eunit, erlang-xmerl, erlang-dialyzer, erlang-proper-dev, dh-rebar
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-jiffy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-jiffy.git
 
 Package: erlang-jiffy
 Architecture: any
-Section: devel
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends},
-	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
+	erlang-base-hipe (>= 1:17.3) | erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends},
 	erlang-xmerl, erlang-proper
 Description: JSON NIFs (Native Implemented Functions) for Erlang
  A JSON parser as a NIF (Native Implemented Functions). This is a complete

## erlang-jiffy 0.14.5+dfsg

=== debian/changelog ===
erlang-jiffy (0.14.5+dfsg-1) unstable; urgency=medium

  * New upstream release (0.14.5).
    - Add ARM 64 support (Closes:  #764500)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 25 Dec 2015 21:59:39 +0100

erlang-jiffy (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream release (0.14.2).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Aug 2015 09:40:48 +0900

erlang-jiffy (0.13.2+dfsg1-1) experimental; urgency=medium

  * New upstream release (0.13.2).
  * List rebar binary as excuded in d/copyright
  * Remove rebar binary
  * Let upstream set -O3 in CFLAGS.
    In general Debian packages use -O2 but honoring upstream choice especially
    in speed-critical applications is also reasonable.
  * Refresh patches
  * Add myself to uploaders
  * Update copyright information
  * Update standards version, no changes needed

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Nov 2014 17:51:02 +0100

=== debian/control ===
Source: erlang-jiffy
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Balint Reczey <balint@balintreczey.hu>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Homepage: https://github.com/davisp/jiffy
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, erlang-xmerl, erlang-dialyzer, erlang-proper-dev, dh-rebar
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-jiffy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-jiffy.git

Package: erlang-jiffy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
	erlang-xmerl, erlang-proper
Description: JSON NIFs (Native Implemented Functions) for Erlang
 A JSON parser as a NIF (Native Implemented Functions). This is a complete
 rewrite of the work this was done in EEP0018 that was based on Yajl. This
 new version is a hand crafted state machine that does its best to be as
 quick and efficient as possible while not placing any constraints on the
 parsed JSON.

## erlang-jiffy 0.14.6+dfsg

=== debian/changelog ===
erlang-jiffy (0.14.6+dfsg-1) unstable; urgency=medium

  * New upstream release (0.14.6).
  * Update patches/fix_version_string.
  * Update debian/control.
    - Bump Standards-Version to 3.9.7.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 10 Mar 2016 00:40:30 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/davisp/jiffy
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
 	erlang-eunit, erlang-xmerl, erlang-dialyzer, erlang-proper-dev, dh-rebar

## erlang-jiffy 0.14.8+dfsg

=== debian/changelog ===
erlang-jiffy (0.14.8+dfsg-1) unstable; urgency=medium

  * New upstream release (0.14.8).
  * Update debian/control.
    - Bump Standards-Version to 3.9.8.
  * Add gbp.conf.
  * Update patches/fix_version_string.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Sep 2016 01:18:25 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/davisp/jiffy
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
 	erlang-eunit, erlang-xmerl, erlang-dialyzer, erlang-proper-dev, dh-rebar

## erlang-jiffy 0.14.11+dfsg

=== debian/changelog ===
erlang-jiffy (0.14.11+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 Jul 2017 20:38:05 +0900

erlang-jiffy (0.14.11+dfsg-1) experimental; urgency=medium

  * New upstream release (0.14.11).
  * Remove patches/fix_version_string.
  * Update patches/fix_makefile and patches/remove_git_clean.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 08 Feb 2017 11:18:40 +0900

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CFLAGS += -fsigned-char
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
CXXFLAGS += -fsigned-char

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_clean:
	rm -rf ebin priv
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jiffy-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/davisp/jiffy/tags .*/v?(\d\S*)\.tar\.gz

## erlang-jiffy 1.0.1+dfsg

=== debian/changelog ===
erlang-jiffy (1.0.1+dfsg-2) unstable; urgency=medium

  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 21:01:10 +0100

erlang-jiffy (1.0.1+dfsg-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Remove myself from Uploaders

  [ Philipp Huebner ]
  * Add myself to Uploaders
  * New upstream version 1.0.1+dfsg
  * Update debian/copyright
  * Update debian/README.source
  * Switch to debhelper compat level 12
  * Add "Rules-Requires-Root: no" to debian/control
  * Update Standards-Version to 4.4.1
  * Clean out debian/dh-rebar.conf
  * Refresh patches
  * Update lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 14:00:22 +0100

erlang-jiffy (0.14.11+dfsg-4) unstable; urgency=medium

  * Fix FTBFS on riscv64. (Closes: #911284)
    add patches/riscv64

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 18 Oct 2018 16:35:44 +0900

erlang-jiffy (0.14.11+dfsg-3) unstable; urgency=medium

  * Change Vcs-Git and Vcs-Browser to salsa.
  * Change maintainer address. (Closes: #899494)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 30 May 2018 12:16:50 +0900

## erlang-jiffy 1.0.3+dfsg

=== Makefile ===
REBAR?=./rebar


all: build


clean:
	$(REBAR) clean
	rm -rf logs
	rm -rf .eunit
	rm -f test/*.beam


distclean: clean
	git clean -fxd


build:
	$(REBAR) compile


eunit:
	$(REBAR) eunit skip_deps=true


check: build eunit


%.beam: %.erl
	erlc -o test/ $<


.PHONY: all clean distclean depends build etap eunit check

=== debian/changelog ===
erlang-jiffy (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.3+dfsg

 -- Philipp Huebner <debalance@debian.org>  Sun, 16 Feb 2020 00:02:16 +0100

=== debian/control ===
Source: erlang-jiffy
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               erlang-dev,
               erlang-eunit,
               erlang-xmerl,
               erlang-dialyzer,
               erlang-proper-dev,
               dh-rebar
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-jiffy
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-jiffy.git
Homepage: https://github.com/davisp/jiffy

Package: erlang-jiffy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-xmerl,
         erlang-proper
Description: JSON NIFs (Native Implemented Functions) for Erlang
 A JSON parser as a NIF (Native Implemented Functions). This is a complete
 rewrite of the work this was done in EEP0018 that was based on Yajl. This
 new version is a hand crafted state machine that does its best to be as
 quick and efficient as possible while not placing any constraints on the
 parsed JSON.

## erlang-jiffy 1.0.5+dfsg

=== debian/changelog ===
erlang-jiffy (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.5+dfsg

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 19:18:44 +0200

erlang-jiffy (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.4+dfsg

 -- Philipp Huebner <debalance@debian.org>  Tue, 17 Mar 2020 15:52:26 +0100

## erlang-jiffy 1.0.8%2Bdfsg

=== debian/changelog ===
erlang-jiffy (1.0.8+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 18:19:22 +0200

erlang-jiffy (1.0.8+dfsg-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 17:35:48 +0100

erlang-jiffy (1.0.8+dfsg-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:02:09 +0100

erlang-jiffy (1.0.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 20:21:39 +0100

## erlang-jiffy 1.0.8+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: devel
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                erlang-dev,
                erlang-eunit,
                erlang-xmerl,
                erlang-dialyzer,
                erlang-proper-dev,
                dh-rebar
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-jiffy
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-jiffy.git
 Homepage: https://github.com/davisp/jiffy
@@ -25,6 +25,7 @@
          ${erlang:Depends},
          erlang-xmerl,
          erlang-proper
+Multi-Arch: allowed
 Description: JSON NIFs (Native Implemented Functions) for Erlang
  A JSON parser as a NIF (Native Implemented Functions). This is a complete
  rewrite of the work this was done in EEP0018 that was based on Yajl. This

## erlang-jiffy 1.0.9

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,10 @@
 check: build eunit
 
 
+release:
+	rebar3 hex publish
+
+
 %.beam: %.erl
 	erlc -o test/ $<

=== debian/changelog ===
erlang-jiffy (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 10:44:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                erlang-dialyzer,
                erlang-proper-dev,
                dh-rebar
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-jiffy
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-jiffy.git
 Homepage: https://github.com/davisp/jiffy

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
 CFLAGS += -fsigned-char
@@ -9,5 +13,5 @@
 	dh $@ --buildsystem=rebar --with rebar
 
 override_dh_auto_clean:
-	rm -rf ebin priv
+	rm -rf ebin priv compile_commands.json .rebar
 	dh_auto_clean

## erlang-jiffy 1.1.1

=== debian/changelog ===
erlang-jiffy (1.1.1-2) unstable; urgency=medium

  * Removed superfluous line from debian/copyright
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated lintian overrides
  * Updated years in debian/copyright
  * Renamed debian/erlang-jiffy.lintian-overrides -> debian/lintian-overrides
  * Updated debian/rules
  * Updated debian/patches/remove_git_clean

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:28:37 +0100

erlang-jiffy (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Dropped obsolete debian/patches/rebar.config.diff
  * Updated debian/copyright
  * Updated lintian overrides
  * Added upstream metadata

 -- Philipp Huebner <debalance@debian.org>  Sun, 10 Apr 2022 17:20:18 +0200

## erlang-jiffy 1.1.2

=== debian/changelog ===
erlang-jiffy (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * Added patch to support the loong64 architecture (Closes: #1066182)
  * Updated years in debian/copyright
  * Dropped debian/gbp.conf

 -- Philipp Huebner <debalance@debian.org>  Sat, 20 Jul 2024 12:03:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                erlang-xmerl,
                erlang-dialyzer,
                erlang-proper-dev,
-               dh-rebar
-Standards-Version: 4.6.0
+               dh-rebar (>= 0.0.6)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-jiffy
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-jiffy.git
 Homepage: https://github.com/davisp/jiffy
@@ -21,7 +21,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-xmerl,
          erlang-proper

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,12 @@
 CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 CXXFLAGS += -fsigned-char
 
+DESTDIR=$(CURDIR)/debian/erlang-jiffy
+
+
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
 
 override_dh_auto_clean:
 	rm -rf ebin priv compile_commands.json .rebar

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jiffy-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/davisp/jiffy/tags .*/v?(\d\S*)\.tar\.gz
